using System.ComponentModel;
using PopupControlContainerPlayground;

namespace PopuptControlContainerPlayground
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            ucAdministrateCustomerEmailAddresses.TargetControl = tbxCustomerEmailAddresses;
            ucAdministrateCustomerEmailAddresses.ControlCollapsed += OnCustomerEmailAddressesControlCollapsed;
            ucAdministrateCustomerEmailAddresses.EmailAddressesModified += OnCustomerEmailAddressModified;
            ucAdministrateCustomerEmailAddresses.ShowEmailAddresses(1, new BindingList<CustomerEmailAddress>
            {
                new CustomerEmailAddress(1, "tom.musterman@gmail.com")
            });
        }

        private void OnPopupButtonClick(object sender, EventArgs e)
        {
            ultraPopupControlContainer1.Show();
        }

        private void OnCustomerEmailAddressesControlCollapsed(object sender,
            AdministrateCustomerEmailAddressesCollapsedEventArgs eventArgs)
        {
            Console.WriteLine("OnCustomerEmailAddressesControlCollapsed");
        }

        private void OnCustomerEmailAddressModified(object sender, EventArgs eventArgs)
        {
            Console.WriteLine("Customer Email Addresses have been modified");
        }
    }
}